#ifndef TX_INTERFACE_AUDIO_H
#define TX_INTERFACE_AUDIO_H

#include "../tx_interfacePPM.h"
#include "../SimpleXMLTransfer.h"

/** \brief The AUDIO interface
 *
 *  A PPM interface which acquires the Tx's signal through the
 *  sound card.
 */
class T_TX_InterfaceAudio : public T_TX_InterfacePPM
{
  public:
   T_TX_InterfaceAudio();
   virtual ~T_TX_InterfaceAudio();
   
   /**
    * Initialize interface. Read further config data from a file, if necessary.
    */
   int init(SimpleXMLTransfer* config);
   
   /**
    * Set current input data. If some value is not available, the value 
    * is not overwritten.
    */
   void getInputData(TSimInputs* inputs);
   
   /**
    * Write configuration back
    */
   virtual void putBackIntoCfg(SimpleXMLTransfer* config);

   /**
    * Get input method
    */
   int inputMethod() { return(T_TX_Interface::eIM_audio); };
   
   /** \brief Get the name of the interface for the config file
    *
    *  Returns the name of the interface. It should be a single
    *  word, only lower-case characters.
    */
   const char * getConfigName() {return cname;};

    /// \todo This class should contain all the audio functions.
    /// Then we can make sc_num private.
   int         sc_num;  ///< number of the sound card

   private:
   const char *cname;   ///< name in the config file
};

#endif
