/**
 * Global configuration options for crrcsim.
 */

#ifndef CRRC_CONFIG_H
#define CRRC_CONFIG_H

/**
 * Linux: #define for libc5 instead of glibc
 */
// #define LINUX_LIBC5

/**
 * Define if you get 
 *  `SDL_BUTTON_WHEELUP' undeclared
 * and 
 *  `SDL_BUTTON_WHEELDOWN' undeclared
 */
#define SDL_WITHOUT_MOUSEWHEEL


/**
 * Key to zoom in
 */
#define KEY_ZOOM_IN  SDLK_KP_PLUS
//#define KEY_ZOOM_IN  SDLK_e

/**
 * Key to zoom out
 */
#define KEY_ZOOM_OUT  SDLK_KP_MINUS
//#define KEY_ZOOM_OUT  SDLK_i

/**
 * Key for more throttle
 */
#define KEY_THROTTLE_MORE SDLK_PAGEUP
//#define KEY_THROTTLE_MORE SDLK_h

/**
 * Key for less throttle
 */
#define KEY_THROTTLE_LESS SDLK_PAGEDOWN
//#define KEY_THROTTLE_LESS SDLK_a


/**
 * Define to 1 to see messages of int read_airplane_data(char *datafile)
 */
#define DEBUG_READ_AIRPLANE_DATA 0

/**
 * Define to 1 to enable audio interface (requires library 'portaudio').
 * See audio_interface/readme.txt
 */
#define COMPILE_AUDIO_INTERFACE 1

/**
 * Define to 1 to test joystick configuration without having a joystick
 */
#define TEST_WITHOUT_JOYSTICK 0

/**
 * Define as 1 to be able to take a picture of the windfield.
 * Press 's' when flying to save current state.
 * See windfield.cpp
 */
#define DEBUG_THERMAL_SCRSHOT 1

/**
 * Which thermal simulation to use?
 *  0: the 'old' code 
 *  1: Jens Wilhelm Wulf, January 2005
 * Hopefully there already is a document in 'documentation' describing 
 * both of them...
 */
#define THERMAL_CODE 1

/**
 * Use SDL_LockAudio() to sync sound thread?
 */
#define USE_LOCK_AUDIO 1

/**
 * COOR_NEW == 1 
 * is the new interface for coordinates and angles between FDM and visualization.
 */
#define COOR_NEW 1

/**
 * AIR_TO_XML
 * 0: completely old style
 * 1: Show air.         Automatically convert from air to xml. Load air.
 * 2: Show air and xml. Automatically convert from air to xml. Load xml.
 */
#define AIR_TO_XML 2

#endif
